de.vc.report.storages

## Class FilterStorage

- java.lang.Object
- - de.vc.report.ReportStorage
  - - de.vc.report.storages.FilterStorage

-     public class FilterStorage
      extends ReportStorage

  A `FilterStorage` contains some other report storage, which it uses as its basic storage. A filter storage may suppress, duplicate, change or modify a report in any other way. This class itself simply overrides `storeReport` and pass all calls to this method to the contained storage. Subclasses of the `FilterStorage` may override this method to execute modifications.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ReportStorage` | `storage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterStorage(ReportStorage storage)` Creates a new filter storage.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `storeReport(Report report, ReportContext ctx)` Invoked by the report engine to store a report.

    - ### Methods inherited from class de.vc.report.ReportStorage

      `finish, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### storage

          protected ReportStorage storage

  - ### Constructor Detail

    - #### FilterStorage

          public FilterStorage(ReportStorage storage)

      Creates a new filter storage.
      Parameters:
        `storage` - Contained storage.

  - ### Method Detail

    - #### storeReport

          public void storeReport(Report report,
                         ReportContext ctx)
                           throws ReportException

      Description copied from class: `ReportStorage`
      Invoked by the report engine to store a report.
      Specified by:
        `storeReport` in class `ReportStorage`
      Parameters:
        `report` - Report
        `ctx` - Context of report
      Throws:
        `ReportException`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.